import java.awt.*;
public interface ShapeNode
{
    void drawShape(Graphics g);
    Color getColor();
    void setColor(Color c);
    ShapeNode getNext();
    boolean hasNextProper();
    boolean hasNext();
    void setNext(ShapeNode s);
    void removeNext();
    boolean isBookmark();
    boolean doesIdentify(int element);
    ShapeNode last();
    void translate(int x,int y);
    int getElement();
    void setWidth(int w);
    void setPos(int x,int y);
}
