import java.awt.event.*;
import javax.swing.*;
public class Ticker implements ActionListener{
    private Tickable parent;
    private int iteration;
    private int id;
    private javax.swing.Timer tick;
    public Ticker(Tickable t,int inid){
        iteration = 0;
        parent = t;
        id = inid;
    }
    public void start(int ms){
        tick = new javax.swing.Timer(ms,this);
        tick.setInitialDelay(ms);
        tick.start();
    }
    public void stop(){
        iteration = 0;
        tick.stop();
    }
    public void pause(){
        tick.stop();
    }
    public void actionPerformed(ActionEvent ae){
        parent.onTick(id,iteration);
        iteration++;
    }
    public boolean isRunning(){
        if(tick!=null){
            return tick.isRunning();
        }
        else{
            return false;
        }
    }
    public void reset(){
        iteration = 0;
    }
}