import java.awt.*;
public class LineNode implements ShapeNode{
    private Color c;
    private ShapeNode next;
    private int element;
    private int xa;
    private int ya;
    private int xb;
    private int yb;
    public LineNode(Color color, int inElement, int xi, int yi, int xf, int yf){
        element = inElement;
        xa = xi;
        ya = yi;
        xb = xf;
        yb = yf;
        c = color;
        next = null;
    }
    public void setWidth(int w){}
    public void translate(int xplus, int yplus){
        xa+=xplus;
        ya+=yplus;
        xb+=xplus;
        yb+=yplus;
    }
    public void setPos(int xn, int yn){}
    public void drawShape(Graphics g){
        g.setColor(c);
        g.drawLine(xa,ya,xb,yb);
    }
    public void setColor(Color color){
        c = color;
    }
    public Color getColor(){
        return c;
    }
    public void setNext(ShapeNode s){
        next = s;
    }
    public ShapeNode getNext(){
        return next;
    }
    public boolean hasNext(){
        if(next==null){
            return false;
        }
        else{
            return true;
        }
    }
    public boolean hasNextProper(){
        if(!hasNext()){
            return false;
        }
        else{
            if(next.isBookmark()){
                return false;
            }
            else{
                return true;
            }
        }
    }
    public void removeNext(){
        setNext(next.getNext());
    }
    public ShapeNode last(){
        if(next==null){
            return this;
        }
        if(next.isBookmark()){
            return this;
        }
        else{
            return next.last();
        }
    }
    public boolean isBookmark(){
        return false;
    }
    public boolean doesIdentify(int checkElement){
        if(checkElement==element){
            return true;
        }
        else{
            return false;
        }
    }
    public int getElement(){
        return element;
    }
}